<div class="miam-recipe-filters" [ngClass]="{'filter-collapsed': isFilterCollapsed}">
  <div class="miam-recipe-filters__toggle" (click)='toggleFilter()'
    [ngClass]="{'filter-collapsed': isFilterCollapsed}">
    <span *ngIf="isFilterCollapsed">Plus de filtres</span>
    <ng-miam-icon 
      [iconName]="icon.ChevronDown"
      [height]='32'
      [width]='32'
      primaryColor="var(--m-color-white)"
      [ngClass]="{'filter-collapsed': isFilterCollapsed}">
    </ng-miam-icon>
  </div>

  <div class="miam-recipe-filters__container" [ngClass]="{'filter-collapsed': isFilterCollapsed}">
    <!-- <div>
      <div class="miam-recipe-filters__title" >Type de plat</div>
      <div *ngFor="let type of filters.type" class="miam-recipe-filters__choice">
        <input type="checkbox" [(ngModel)]="type.value" (ngModelChange)="filterChanged.emit(filters)"> {{type.text}}
      </div>
    </div>
    <div class="miam-recipe-filters__separator"></div> -->
    <div>
      <div class="miam-recipe-filters__title">Difficulté</div>
      <div *ngFor="let difficulty of filters.difficulty" class="miam-recipe-filters__choice">
        <input type="checkbox" [(ngModel)]="difficulty.value" (ngModelChange)="filterChanged.emit(filters)"> {{difficulty.text}}
      </div>
    </div>
    <div class="miam-recipe-filters__separator"></div>
    <div>
      <div class="miam-recipe-filters__title">Coût</div>
      <div *ngFor="let cost of filters.cost" class="miam-recipe-filters__choice">
        <input 
          type="checkbox"
          (ngModelChange)="uncheckFiltersOnChange('cost')"
          [(ngModel)]="cost.value"
          (ngModelChange)="filterChanged.emit(filters)">
        {{cost.text}}
      </div>
    </div>
    <div class="miam-recipe-filters__separator"></div>
    <div>
      <div class="miam-recipe-filters__title">Temps de préparation</div>
      <div *ngFor="let time of filters.time" class="miam-recipe-filters__choice">
        <input 
          type="checkbox"
          (ngModelChange)="uncheckFiltersOnChange('time')"
          [(ngModel)]="time.value"
          (ngModelChange)="filterChanged.emit(filters)">
        &#60; {{time.text}}
      </div>
    </div>
    <div class="miam-recipe-filters__remove">
      <a (click)="filterReset.emit()">Retirer tous les filtres</a>
    </div>
  </div>
</div>
